﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Optimization;

namespace HeuristicLab.Problems.Scheduling.CFSAP {
  public interface ICFSAP : IProblem {
    IValueParameter<IntMatrix> ProcessingTimesParameter { get; }
    IntMatrix ProcessingTimes { get; set; }
    IValueParameter<ItemList<IntMatrix>> SetupTimesParameter { get; }
    ItemList<IntMatrix> SetupTimes { get; set; }

    void UpdateEncoding();
  }
}
